import * as React from 'react';
import { useDayPicker } from '../../contexts/DayPicker/useDayPicker.js';
import { getWeeks } from './utils/getWeeks.js';

/**
 * Render the table with the calendar.
 */
function Table(props) {
    var _a = useDayPicker(), locale = _a.locale, classNames = _a.classNames, styles = _a.styles, hideHead = _a.hideHead, fixedWeeks = _a.fixedWeeks, _b = _a.components, Head = _b.Head, Row = _b.Row, Footer = _b.Footer;
    var weeks = getWeeks(props.displayMonth, { locale: locale, fixedWeeks: fixedWeeks });
    return (React.createElement("table", { className: classNames.table, style: styles.table },
        !hideHead && React.createElement(Head, null),
        React.createElement("tbody", { className: classNames.tbody, style: styles.tbody }, weeks.map(function (week) { return (React.createElement(Row, { displayMonth: props.displayMonth, key: week.weekNumber, dates: week.dates, weekNumber: week.weekNumber })); })),
        React.createElement(Footer, null)));
}

export { Table };
//# sourceMappingURL=Table.js.map
