import { __rest } from '../_virtual/_tslib.js';
import * as React from 'react';
import { DayPickerProvider } from './DayPicker/DayPickerProvider.js';
import './Focus/FocusContext.js';
import { FocusProvider } from './Focus/FocusProvider.js';
import './Navigation/NavigationContext.js';
import { NavigationProvider } from './Navigation/NavigationProvider.js';
import './SelectMultiple/SelectMultipleContext.js';
import { SelectMultipleProvider } from './SelectMultiple/SelectMultipleProvider.js';
import './SelectRange/SelectRangeContext.js';
import { SelectRangeProvider } from './SelectRange/SelectRangeProvider.js';
import './SelectSingle/SelectSingleContext.js';
import { SelectSingleProvider } from './SelectSingle/SelectSingleProvider.js';

/** Provide the value for all the context providers. */
function ContextProvider(props) {
    var children = props.children, initialProps = __rest(props, ["children"]);
    return (React.createElement(DayPickerProvider, { initialProps: initialProps },
        React.createElement(NavigationProvider, null,
            React.createElement(SelectSingleProvider, { initialProps: initialProps },
                React.createElement(SelectMultipleProvider, { initialProps: initialProps },
                    React.createElement(SelectRangeProvider, { initialProps: initialProps },
                        React.createElement(FocusProvider, null, children)))))));
}

export { ContextProvider };
//# sourceMappingURL=ContextProvider.js.map
