import * as React from 'react';
import { useDayPicker } from '../DayPicker/useDayPicker.js';
import { NavigationContext } from './NavigationContext.js';
import { useNavigationState } from './useNavigationState.js';
import { getDisplayMonths } from './utils/getDisplayMonths.js';
import { getNextMonth } from './utils/getNextMonth.js';
import { getPreviousMonth } from './utils/getPreviousMonth.js';

/** Provides the values for the [[NavigationContext]]. */
function NavigationProvider(props) {
    var context = useDayPicker();
    var _a = useNavigationState(), month = _a[0], goToMonth = _a[1];
    var displayMonths = getDisplayMonths(month, context);
    var nextMonth = getNextMonth(month, context);
    var previousMonth = getPreviousMonth(month, context);
    return (React.createElement(NavigationContext.Provider, { value: {
            month: month,
            displayMonths: displayMonths,
            goToMonth: goToMonth,
            previousMonth: previousMonth,
            nextMonth: nextMonth
        } }, props.children));
}

export { NavigationProvider };
//# sourceMappingURL=NavigationProvider.js.map
