import { useDayPicker } from '../DayPicker/useDayPicker.js';
import { getInitialMonth } from './utils/getInitialMonth.js';
import { useControlledValue } from '../../hooks/useControlledValue/useControlledValue.js';

/** Controls the navigation state. */
function useNavigationState() {
    var context = useDayPicker();
    var initialMonth = getInitialMonth(context);
    var _a = useControlledValue(initialMonth, context.month), month = _a[0], setMonth = _a[1];
    var goToMonth = function (date) {
        if (context.disableNavigation)
            return;
        setMonth(date);
    };
    return [month, goToMonth];
}

export { useNavigationState };
//# sourceMappingURL=useNavigationState.js.map
