import * as React from 'react';
import { SelectMultipleContext } from './SelectMultipleContext.js';

/** Hook to access the [[SelectMultipleContext]]. */
function useSelectMultiple() {
    var context = React.useContext(SelectMultipleContext);
    if (!context) {
        throw new Error('useSelectMultiple must be used within a SelectMultipleProvider');
    }
    return context;
}

export { useSelectMultiple };
//# sourceMappingURL=useSelectMultiple.js.map
