import * as React from 'react';
import { SelectRangeContext } from './SelectRangeContext.js';

/** Hook to access the [[SelectRangeContext]]. */
function useSelectRange() {
    var context = React.useContext(SelectRangeContext);
    if (!context) {
        throw new Error('useSelectRange must be used within a SelectRangeProvider');
    }
    return context;
}

export { useSelectRange };
//# sourceMappingURL=useSelectRange.js.map
